@echo off
echo =========================================
echo   Lancement des services Docker Compose (WSL)
echo =========================================

:: Service Ollama Batch
start "Ollama Batch" wsl -d Ubuntu-22.04 sh -c "cd ~/ollama_batch_docker && docker compose up"

:: Service Ollama Demand
start "Ollama Demand" wsl -d Ubuntu-22.04 sh -c "cd ~/ollama_demand_docker && docker compose up"

:: Service Qdrant
start "Qdrant" wsl -d Ubuntu-22.04 sh -c "cd ~/qdrant_docker && docker compose up"

:: Service Fooocus
start "Fooocus" wsl -d Ubuntu-22.04 sh -c "cd ~/fooocus_docker && docker compose up"

:: Service Whipster
start "Whipster" wsl -d Ubuntu-22.04 sh -c "cd ~/whipster_api_docker && docker compose up"

echo Tous les services sont OK.
pause
